Page MenuHomePhabricator

Swedish beta cluster wiki is busted (Parsoid/RESTBase not set up?)
Closed, ResolvedPublic

Description

The following error appears while switching from VE to NWE on the Swedish beta cluster wiki

https://sv.wikipedia.beta.wmflabs.org/

Error occurred while loading data from server: apierror-visualeditor-docserver-http.

Event Timeline

Ryasmeen created this task.Apr 1 2018, 11:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2018, 11:46 PM
Deskana added a subscriber: ssastry.Apr 3 2018, 6:47 PM

I wonder if this is related to the email about a new version of Parsoid that @ssastry sent out? The error message here appears to be the same, but it's a generic error message, so it might be a coincidence.

I wonder if this is related to the email about a new version of Parsoid that @ssastry sent out? The error message here appears to be the same, but it's a generic error message, so it might be a coincidence.

No, that announcement is only for 3rd party wikis using Parsoid & VE.

Deskana triaged this task as Normal priority.Apr 3 2018, 6:51 PM

@ssastry Thanks!

Needs investigation, then.

Deskana moved this task from To Triage to Current work on the VisualEditor board.Apr 3 2018, 6:51 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch added a subscriber: DLynch.Apr 5 2018, 4:52 PM

This does tend to be an error we see if Parsoid / Restbase aren't running properly, for what it's worth.

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Looks like sv.wikipedia.beta.wmflabs.org isn't fully set up – wrong SSL at least, so maybe the RESTbase/etc. is broken too?

Not even in Parsoid's config:

root@deployment-parsoid09:/var/log# grep svwiki /srv/deployment/parsoid/deploy-cache/cache/conf/wmf/betalabs.localsettings.js
root@deployment-parsoid09:/var/log# grep enwiki /srv/deployment/parsoid/deploy-cache/cache/conf/wmf/betalabs.localsettings.js
	parsoidConfig.setMwApi({ prefix: 'enwiki', uri: 'http://en.wikipedia.beta.wmflabs.org/w/api.php' });
Krenair added a comment.EditedJun 29 2018, 10:43 PM

Actually that file doesn't match up with deployment-tin:/srv/deployment/parsoid/deploy/conf/wmf/betalabs.localsettings.js
@ssastry ?

matmarex updated the task description. (Show Details)Aug 22 2018, 5:17 PM

That wiki looks super broken. I don't think it's a VE problem.

For example, this URL should give the HTML for the main page, but instead it's a 404 error: https://sv.wikipedia.beta.wmflabs.org/api/rest_v1/page/html/Huvudsida

{"type":"https://mediawiki.org/wiki/HyperSwitch/errors/not_found#route","title":"Not found.","method":"get","uri":"/sv.wikipedia.beta.wmflabs.org/v1/page/html/Huvudsida"}

(As a result of this, trying to edit a page in VE opens an empty editor.)

Compare: https://en.wikipedia.beta.wmflabs.org/api/rest_v1/page/html/Main_Page

matmarex renamed this task from Switching to NWE is failing on the Swedish beta cluster wiki to Swedish beta cluster wiki is busted (Parsoid/RESTBase not set up?).Aug 22 2018, 5:21 PM
matmarex moved this task from Current work to External and Administrivia on the VisualEditor board.
matmarex edited projects, added VisualEditor; removed VisualEditor (Current work).

Host: sv.wikipedia.beta.wmflabs.org. is not in the cert

ssh deployment-parsoid09.deployment-prep.eqiad.wmflabs

> curl localhost:8000/sv.wikipedia.beta.wmflabs.org/v3/page/html/Huvudsida
error: Config Request failure for "https://sv.wikipedia.beta.wmflabs.org/w/api.php": Error: Hostname/IP doesn't match certificate's altnames: "Host: sv.wikipedia.beta.wmflabs.org. is not in the cert's altnames: DNS:aa.m.wikipedia.beta.wmflabs.org, DNS:aa.wikipedia.beta.wmflabs.org, DNS:aa.zero.wikipedia.beta.wmflabs.org, DNS:ar.m.wikipedia.beta.wmflabs.org, DNS:ar.wikipedia.beta.wmflabs.org, DNS:ar.zero.wikipedia.beta.wmflabs.org, DNS:beta.wmflabs.org, DNS:ca.m.wikipedia.beta.wmflabs.org, DNS:ca.wikipedia.beta.wmflabs.org, DNS:ca.zero.wikipedia.beta.wmflabs.org, DNS:commons.m.wikimedia.beta.wmflabs.org, DNS:commons.wikimedia.beta.wmflabs.org, DNS:commons.wikipedia.beta.wmflabs.org, DNS:crh.m.wikipedia.beta.wmflabs.org, DNS:crh.wikipedia.beta.wmflabs.org, DNS:de.m.wikipedia.beta.wmflabs.org, DNS:de.m.wiktionary.beta.wmflabs.org, DNS:de.wikipedia.beta.wmflabs.org, DNS:de.wiktionary.beta.wmflabs.org, DNS:de.zero.wikipedia.beta.wmflabs.org, DNS:deployment.m.wikimedia.beta.wmflabs.org, DNS:deployment.wikimedia.beta.wmflabs.org, DNS:en-rtl.m.wikipedia.beta.wmflabs.org, DNS:en-rtl.wikipedia.beta.wmflabs.org, DNS:en-rtl.zero.wikipedia.beta.wmflabs.org, DNS:en.m.wikibooks.beta.wmflabs.org, DNS:en.m.wikinews.beta.wmflabs.org, DNS:en.m.wikipedia.beta.wmflabs.org, DNS:en.m.wikiquote.beta.wmflabs.org, DNS:en.m.wikisource.beta.wmflabs.org, DNS:en.m.wikiversity.beta.wmflabs.org, DNS:en.m.wikivoyage.beta.wmflabs.org, DNS:en.m.wiktionary.beta.wmflabs.org, DNS:en.wikibooks.beta.wmflabs.org, DNS:en.wikinews.beta.wmflabs.org, DNS:en.wikipedia.beta.wmflabs.org, DNS:en.wikiquote.beta.wmflabs.org, DNS:en.wikisource.beta.wmflabs.org, DNS:en.wikiversity.beta.wmflabs.org, DNS:en.wikivoyage.beta.wmflabs.org, DNS:en.wiktionary.beta.wmflabs.org, DNS:en.zero.wikipedia.beta.wmflabs.org, DNS:eo.m.wikipedia.beta.wmflabs.org, DNS:eo.wikipedia.beta.wmflabs.org, DNS:eo.zero.wikipedia.beta.wmflabs.org, DNS:es.m.wikipedia.beta.wmflabs.org, DNS:es.wikipedia.beta.wmflabs.org, DNS:es.zero.wikipedia.beta.wmflabs.org, DNS:fa.m.wikipedia.beta.wmflabs.org, DNS:fa.wikipedia.beta.wmflabs.org, DNS:fa.zero.wikipedia.beta.wmflabs.org, DNS:fr.wikipedia.beta.wmflabs.org, DNS:he.m.wikipedia.beta.wmflabs.org, DNS:he.m.wiktionary.beta.wmflabs.org, DNS:he.wikipedia.beta.wmflabs.org, DNS:he.wiktionary.beta.wmflabs.org, DNS:he.zero.wikipedia.beta.wmflabs.org, DNS:hi.m.wikipedia.beta.wmflabs.org, DNS:hi.wikipedia.beta.wmflabs.org, DNS:hi.zero.wikipedia.beta.wmflabs.org, DNS:ja.m.wikipedia.beta.wmflabs.org, DNS:ja.wikipedia.beta.wmflabs.org, DNS:ja.zero.wikipedia.beta.wmflabs.org, DNS:ko.m.wikipedia.beta.wmflabs.org, DNS:ko.wikipedia.beta.wmflabs.org, DNS:ko.zero.wikipedia.beta.wmflabs.org, DNS:login.m.wikimedia.beta.wmflabs.org, DNS:login.wikimedia.beta.wmflabs.org, DNS:m.wikidata.beta.wmflabs.org, DNS:meta.m.wikimedia.beta.wmflabs.org, DNS:meta.wikimedia.beta.wmflabs.org, DNS:nl.m.wikipedia.beta.wmflabs.org, DNS:nl.wikipedia.beta.wmflabs.org, DNS:nl.zero.wikipedia.beta.wmflabs.org, DNS:ru.m.wikipedia.beta.wmflabs.org, DNS:ru.wikipedia.beta.wmflabs.org, DNS:ru.zero.wikipedia.beta.wmflabs.org, DNS:simple.m.wikipedia.beta.wmflabs.org, DNS:simple.wikipedia.beta.wmflabs.org, DNS:simple.zero.wikipedia.beta.wmflabs.org, DNS:sq.m.wikipedia.beta.wmflabs.org, DNS:sq.wikipedia.beta.wmflabs.org, DNS:sq.zero.wikipedia.beta.wmflabs.org, DNS:sr.m.wikipedia.beta.wmflabs.org, DNS:sr.wikipedia.beta.wmflabs.org, DNS:test.m.wikimedia.beta.wmflabs.org, DNS:test.wikimedia.beta.wmflabs.org, DNS:uk.m.wikipedia.beta.wmflabs.org, DNS:uk.wikipedia.beta.wmflabs.org, DNS:uk.zero.wikipedia.beta.wmflabs.org, DNS:wikidata.beta.wmflabs.org, DNS:www.wikibooks.beta.wmflabs.org, DNS:www.wikimedia.beta.wmflabs.org, DNS:www.wikipedia.beta.wmflabs.org, DNS:www.wiktionary.beta.wmflabs.org, DNS:zero.m.wikimedia.beta.wmflabs.org, DNS:zero.wikimedia.beta.wmflabs.org, DNS:zh.m.wikipedia.beta.wmflabs.org, DNS:zh.wikipedia.beta.wmflabs.org, DNS:zh.zero.wikipedia.beta.wmflabs.org" path: /sv.wikipedia.beta.wmflabs.org/v3/page/html/Huvudsida
Error: Config Request failure for "https://sv.wikipedia.beta.wmflabs.org/w/api.php": Error: Hostname/IP doesn't match certificate's altnames: "Host: sv.wikipedia.beta.wmflabs.org. is not in the cert's altnames: DNS:aa.m.wikipedia.beta.wmflabs.org, DNS:aa.wikipedia.beta.wmflabs.org, DNS:aa.zero.wikipedia.beta.wmflabs.org, DNS:ar.m.wikipedia.beta.wmflabs.org, DNS:ar.wikipedia.beta.wmflabs.org, DNS:ar.zero.wikipedia.beta.wmflabs.org, DNS:beta.wmflabs.org, DNS:ca.m.wikipedia.beta.wmflabs.org, DNS:ca.wikipedia.beta.wmflabs.org, DNS:ca.zero.wikipedia.beta.wmflabs.org, DNS:commons.m.wikimedia.beta.wmflabs.org, DNS:commons.wikimedia.beta.wmflabs.org, DNS:commons.wikipedia.beta.wmflabs.org, DNS:crh.m.wikipedia.beta.wmflabs.org, DNS:crh.wikipedia.beta.wmflabs.org, DNS:de.m.wikipedia.beta.wmflabs.org, DNS:de.m.wiktionary.beta.wmflabs.org, DNS:de.wikipedia.beta.wmflabs.org, DNS:de.wiktionary.beta.wmflabs.org, DNS:de.zero.wikipedia.beta.wmflabs.org, DNS:deployment.m.wikimedia.beta.wmflabs.org, DNS:deployment.wikimedia.beta.wmflabs.org, DNS:en-rtl.m.wikipedia.beta.wmflabs.org, DNS:en-rtl.wikipedia.beta.wmflabs.org, DNS:en-rtl.zero.wikipedia.beta.wmflabs.org, DNS:en.m.wikibooks.beta.wmflabs.org, DNS:en.m.wikinews.beta.wmflabs.org, DNS:en.m.wikipedia.beta.wmflabs.org, DNS:en.m.wikiquote.beta.wmflabs.org, DNS:en.m.wikisource.beta.wmflabs.org, DNS:en.m.wikiversity.beta.wmflabs.org, DNS:en.m.wikivoyage.beta.wmflabs.org, DNS:en.m.wiktionary.beta.wmflabs.org, DNS:en.wikibooks.beta.wmflabs.org, DNS:en.wikinews.beta.wmflabs.org, DNS:en.wikipedia.beta.wmflabs.org, DNS:en.wikiquote.beta.wmflabs.org, DNS:en.wikisource.beta.wmflabs.org, DNS:en.wikiversity.beta.wmflabs.org, DNS:en.wikivoyage.beta.wmflabs.org, DNS:en.wiktionary.beta.wmflabs.org, DNS:en.zero.wikipedia.beta.wmflabs.org, DNS:eo.m.wikipedia.beta.wmflabs.org, DNS:eo.wikipedia.beta.wmflabs.org, DNS:eo.zero.wikipedia.beta.wmflabs.org, DNS:es.m.wikipedia.beta.wmflabs.org, DNS:es.wikipedia.beta.wmflabs.org, DNS:es.zero.wikipedia.beta.wmflabs.org, DNS:fa.m.wikipedia.beta.wmflabs.org, DNS:fa.wikipedia.beta.wmflabs.org, DNS:fa.zero.wikipedia.beta.wmflabs.org, DNS:fr.wikipedia.beta.wmflabs.org, DNS:he.m.wikipedia.beta.wmflabs.org, DNS:he.m.wiktionary.beta.wmflabs.org, DNS:he.wikipedia.beta.wmflabs.org, DNS:he.wiktionary.beta.wmflabs.org, DNS:he.zero.wikipedia.beta.wmflabs.org, DNS:hi.m.wikipedia.beta.wmflabs.org, DNS:hi.wikipedia.beta.wmflabs.org, DNS:hi.zero.wikipedia.beta.wmflabs.org, DNS:ja.m.wikipedia.beta.wmflabs.org, DNS:ja.wikipedia.beta.wmflabs.org, DNS:ja.zero.wikipedia.beta.wmflabs.org, DNS:ko.m.wikipedia.beta.wmflabs.org, DNS:ko.wikipedia.beta.wmflabs.org, DNS:ko.zero.wikipedia.beta.wmflabs.org, DNS:login.m.wikimedia.beta.wmflabs.org, DNS:login.wikimedia.beta.wmflabs.org, DNS:m.wikidata.beta.wmflabs.org, DNS:meta.m.wikimedia.beta.wmflabs.org, DNS:meta.wikimedia.beta.wmflabs.org, DNS:nl.m.wikipedia.beta.wmflabs.org, DNS:nl.wikipedia.beta.wmflabs.org, DNS:nl.zero.wikipedia.beta.wmflabs.org, DNS:ru.m.wikipedia.beta.wmflabs.org, DNS:ru.wikipedia.beta.wmflabs.org, DNS:ru.zero.wikipedia.beta.wmflabs.org, DNS:simple.m.wikipedia.beta.wmflabs.org, DNS:simple.wikipedia.beta.wmflabs.org, DNS:simple.zero.wikipedia.beta.wmflabs.org, DNS:sq.m.wikipedia.beta.wmflabs.org, DNS:sq.wikipedia.beta.wmflabs.org, DNS:sq.zero.wikipedia.beta.wmflabs.org, DNS:sr.m.wikipedia.beta.wmflabs.org, DNS:sr.wikipedia.beta.wmflabs.org, DNS:test.m.wikimedia.beta.wmflabs.org, DNS:test.wikimedia.beta.wmflabs.org, DNS:uk.m.wikipedia.beta.wmflabs.org, DNS:uk.wikipedia.beta.wmflabs.org, DNS:uk.zero.wikipedia.beta.wmflabs.org, DNS:wikidata.beta.wmflabs.org, DNS:www.wikibooks.beta.wmflabs.org, DNS:www.wikimedia.beta.wmflabs.org, DNS:www.wikipedia.beta.wmflabs.org, DNS:www.wiktionary.beta.wmflabs.org, DNS:zero.m.wikimedia.beta.wmflabs.org, DNS:zero.wikimedia.beta.wmflabs.org, DNS:zh.m.wikipedia.beta.wmflabs.org, DNS:zh.wikipedia.beta.wmflabs.org, DNS:zh.zero.wikipedia.beta.wmflabs.org"
    at ConfigRequest.ApiRequest._requestCB (/srv/deployment/parsoid/deploy-cache/revs/44aa5e8dfa562f57dde0ee80ab860eea966ce1b0/src/lib/mw/ApiRequest.js:387:15)
    at self.callback (/srv/deployment/parsoid/deploy-cache/revs/44aa5e8dfa562f57dde0ee80ab860eea966ce1b0/node_modules/request/request.js:185:22)
    at emitOne (events.js:96:13)
    at Request.emit (events.js:188:7)
    at Request.onRequestError (/srv/deployment/parsoid/deploy-cache/revs/44aa5e8dfa562f57dde0ee80ab860eea966ce1b0/node_modules/request/request.js:877:8)
    at emitOne (events.js:101:20)
    at ClientRequest.emit (events.js:188:7)
    at TLSSocket.socketErrorListener (_http_client.js:309:9)
    at emitOne (events.js:96:13)
    at TLSSocket.emit (events.js:188:7)
    at emitErrorNT (net.js:1277:8)
    at _combinedTickCallback (internal/process/next_tick.js:80:11)
    at process._tickCallback (internal/process/next_tick.js:104:9)

That wiki looks super broken. I don't think it's a VE problem.

IIRC the SSL problem here wouldn't've been an issue at the time we last looked into it.

Actually that file doesn't match up with deployment-tin:/srv/deployment/parsoid/deploy/conf/wmf/betalabs.localsettings.js

/srv/deployment/parsoid/deploy-cache/cache/ is odd

but /srv/deployment/parsoid/deploy-cache/current/ seems ok.

That cache/ looks a lot like the deploy.2016-08-30T14:48:06.628273 thing here,

arlolra@deployment-parsoid09:/srv/deployment/parsoid$ ls -al
total 16
drwxr-xr-x 4 deploy-service deploy-service 4096 Aug 20 18:42 .
drwxr-xr-x 3 root           root           4096 Aug  1  2016 ..
lrwxrwxrwx 1 deploy-service deploy-service   58 Aug 20 18:42 deploy -> deploy-cache/revs/44aa5e8dfa562f57dde0ee80ab860eea966ce1b0
drwxr-xr-x 8 deploy-service deploy-service 4096 Aug 26  2016 deploy.2016-08-30T14:48:06.628273
drwxr-xr-x 4 deploy-service deploy-service 4096 Aug 20 18:42 deploy-cache

Change 454610 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/restbase/deploy@master] Add sv.wikipedia.beta.wmflabs.org.

https://gerrit.wikimedia.org/r/454610

Change 454610 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Add sv.wikipedia.beta.wmflabs.org.

https://gerrit.wikimedia.org/r/454610

Apart from other problems, the wiki was not set up in RESTBase. I've added it to the RB config and deployed, so now REST API is there https://sv.wikipedia.beta.wmflabs.org/api/rest_v1/

However, it still doesn't work because of the SSL issues.

However, it still doesn't work because of the SSL issues.

I deployed this change, just to confirm that's all there's left to do here.

diff --git a/conf/wmf/betalabs.localsettings.js b/conf/wmf/betalabs.localsettings.js
index f4f843d9..9e43f952 100644
--- a/conf/wmf/betalabs.localsettings.js
+++ b/conf/wmf/betalabs.localsettings.js
@@ -7,6 +7,8 @@ exports.setup = function(parsoidConfig) {
                parsoidConfig.setMwApi({
                        prefix: apiConf.prefix,
                        uri: apiConf.uri.replace(/\.org/, '.beta.wmflabs.org'),
+                       // TEMP
+                       strictSSL: (apiConf.prefix === 'svwiki') ? false : undefined,
                });
        });

Seems to work but that change will get blown away around our next deploy, so don't depend on it :)

matmarex closed this task as Resolved.Aug 22 2018, 7:15 PM

Thanks :) I filed T202564 for the SSL issue.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 22 2018, 7:15 PM